package tv.ouya.console.internal;

import android.os.Bundle;
import android.os.RemoteException;
import tv.ouya.console.api.OuyaResponseListener;
import tv.ouya.console.api.UserInfo;

public class UserInfoListenerBinder
  extends IUserInfoListener.Stub
{
  private ListenerBinderHelper<UserInfo> binderHelper;
  
  public UserInfoListenerBinder(OuyaResponseListener<UserInfo> paramOuyaResponseListener)
  {
    this.binderHelper = new ListenerBinderHelper(paramOuyaResponseListener);
  }
  
  public void onCancel()
    throws RemoteException
  {
    this.binderHelper.onCancel();
  }
  
  public void onFailure(int paramInt, String paramString, Bundle paramBundle)
    throws RemoteException
  {
    this.binderHelper.onFailure(paramInt, paramString, paramBundle);
  }
  
  public void onSuccess(UserInfo paramUserInfo)
    throws RemoteException
  {
    this.binderHelper.onSuccess(paramUserInfo);
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/internal/UserInfoListenerBinder.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */